'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgCloudDownload = function SvgCloudDownload(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#CloudDownload_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "M63.95 21.412a24.55 24.55 0 0 0-7.268-12.831A24.488 24.488 0 0 0 28.85 4.675 24.53 24.53 0 0 0 18.338 15.01a19.7 19.7 0 0 0-12.777 6.97 19.76 19.76 0 0 0 1.67 27.03 19.7 19.7 0 0 0 13.537 5.34h12.644v9.279h-6.477a.52.52 0 0 0-.473.31.53.53 0 0 0 .092.556L38.57 77.443c.359.357.843.557 1.349.557a1.96 1.96 0 0 0 1.38-.577l12.026-12.98a.505.505 0 0 0 .092-.556.53.53 0 0 0-.473-.31h-6.456V54.3h15.98a16.46 16.46 0 0 0 11.42-4.551 16.508 16.508 0 0 0 1.027-22.815A16.47 16.47 0 0 0 63.95 21.37zM45.973 64.65h5.807L40.578 76.732a.906.906 0 0 1-1.256 0L28.119 64.65h5.807a.515.515 0 0 0 .515-.516V54.35h11.017v9.784a.516.516 0 0 0 .515.516m16.474-11.34h-41.68a18.68 18.68 0 0 1-12.91-5.086 18.727 18.727 0 0 1-1.421-25.757A18.68 18.68 0 0 1 18.71 15.99a.51.51 0 0 0 .401-.279A23.5 23.5 0 0 1 29.215 5.63a23.47 23.47 0 0 1 26.91 3.842 23.53 23.53 0 0 1 6.888 12.507.52.52 0 0 0 .464.413 15.45 15.45 0 0 1 10.77 4.893 15.484 15.484 0 0 1-.728 21.87 15.44 15.44 0 0 1-11.072 4.165z"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "CloudDownload_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgCloudDownload;
